FDFORMAT(8)

NAME
fdformat - format floppy disks

SYNOPSIS
fdformat [-F fill] [-f fmt] [-s fmtstr] [-nqvy] device

DESCRIPTION
The fdformat utility formats a floppy disk at device, where device may either be given as a full path name of a device node for a floppy disk drive (e.g., /dev/fd0), or using an abbreviated name that will be looked up under /dev (e.g., “fd0”).

The options are as follows:

-F fill
    Use fill as the fill byte for newly formatted sectors. The fill argument must be a number in the range 0 through 255 using common C language notation. The default value is “0xf6”.

-f fmt
    Specify the density settings for a fmt kilobyte format, as described in fdcontrol(8).

-s fmtstr
    Specify the density settings using explicit parameters, as described in fdcontrol(8).

-n  Do not verify floppy after formatting.

-q  Suppress any normal output from the command, and do not ask the user for a confirmation whether to format the floppy disk at device.

-v  Do not format, verify only.

-y  Do not ask for confirmation whether to format the floppy disk but still report formatting status.

For non-autoselecting subdevices, neither -f fmt nor -s fmtstr may be specified, since the preconfigured media density settings from the kernel driver will always be used. However, if device is a device with automatic media density selection (see fdc(4)), both methods can be used to override the density settings for the newly formatted medium (without permanently changing the density settings of device).

If the -q flag has not been specified, the user is asked for a confirmation of the intended formatting process. In order to continue, an answer of ‘y’ must be given.

Note that fdformat does only perform low-level formatting. In order to create a file system on the medium, see the commands newfs(8) for a UFS file system, or newfs_msdos(8) for an MS-DOS (FAT) file system.

EXIT STATUS
An exit status of 0 is returned upon successful operation. Exit status 1 is returned on any errors during floppy formatting, and an exit status of 2 reflects invalid arguments given to the program (along with an appropriate information written to diagnostic output).

EXAMPLES
To format a new double-sided, high-density (HD) 1.44 MB disk inserted in the first floppy disk drive, issue:

    /usr/sbin/fdformat -f 1440 /dev/fd0

After low-level formatting the disk with fdformat, create a disk label so that the system can determine the size and geometry of the disk. The supported geometry values are listed in /etc/disktab, and we will use fd1440 for this example. To write the disk label, use bsdlabel(8):

    /sbin/bsdlabel -B -w /dev/fd0 fd1440

The floppy is now ready to be high-level formatted with a file system. To format the floppy disk with FAT, issue:

    /sbin/newfs_msdos /dev/fd0

DIAGNOSTICS
Unless -q has been specified, a single letter is printed to standard output to inform the user about the progress of work. First, an ‘F’ is printed when the track is being formatted, then a ‘V’ while it is being verified, and if an error has been detected, it will finally change to ‘E’. Detailed status information (cylinder, head and sector number, and the exact cause of the error) will be printed for up to 10 errors after the entire formatting process has completed.

SEE ALSO
fdc(4), bsdlabel(8), fdcontrol(8), newfs(8), newfs_msdos(8)

HISTORY
The fdformat utility has been developed for 386BSD 0.1 and upgraded to the new fdc(4) floppy disk driver. It later became part of the FreeBSD 1.1 system. Starting with FreeBSD 5.0, it uses the unified density specifications as described in fdcontrol(8).

AUTHORS
-nosplit The program has been contributed by Jörg Wunsch, Dresden, with changes by Serge Vakulenko and Andrey A. Chernov, Moscow.